SystemOrganization addCategory: #ConfigurationOfRealInterval!

Object subclass: #ConfigurationOfRealInterval
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRealInterval'!

!ConfigurationOfRealInterval class methodsFor: 'development support' stamp: 'WernerKassens 1/30/2016 15:02'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRealInterval class methodsFor: 'private' stamp: 'WernerKassens 1/30/2016 15:02'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRealInterval class methodsFor: 'private' stamp: 'WernerKassens 1/30/2016 15:02'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRealInterval class methodsFor: 'private' stamp: 'WernerKassens 1/30/2016 15:02'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRealInterval class methodsFor: 'metacello tool support' stamp: 'WernerKassens 1/30/2016 15:02'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRealInterval class methodsFor: 'loading' stamp: 'WernerKassens 1/30/2016 15:02'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRealInterval class methodsFor: 'loading' stamp: 'WernerKassens 1/30/2016 15:02'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRealInterval class methodsFor: 'loading' stamp: 'WernerKassens 1/30/2016 15:02'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRealInterval class methodsFor: 'accessing' stamp: 'WernerKassens 1/30/2016 15:02'!
project

	^self new project! !

!ConfigurationOfRealInterval class methodsFor: 'development support' stamp: 'WernerKassens 1/30/2016 15:02'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRealInterval methodsFor: 'baselines' stamp: 'WernerKassens 9/14/2017 18:11'!
baseline20: spec
	<version: '2.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'undoing of overwriting pharo messages is now possible via setting.
			config has now a simple & normal form'.
		spec author: 'WernerKassens'.
		spec timestamp: '2017-09-14T15:13:14.484483+01:00'.
		spec repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'.

		spec project: 'SMark'	with: [ 
		  spec className: #ConfigurationOfSMark;
					versionString: '1.0.1';
					repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'Roassal2' with: [  
		  spec className: 'ConfigurationOfRoassal2';
               versionString: #stable;
               repository: 'http://www.smalltalkhub.com/mc/ObjectProfile/Roassal2/main'].
		spec project: 'SciST' with: [  
		  spec className: 'ConfigurationOfSciSmalltalk';
               versionString: #stable;
               repository: 'http://smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/';
					loads: #('Math-DHB-Numerical' 'Math-DHB-wk' 'Math-Number-Extensions')].

		spec package: 'Math-RealInterval'with: [spec requires: #('Roassal2' 'SciST')].
		spec package: 'Math-RealInterval-Extensions'with: [spec requires: #('Math-RealInterval')].
		spec package: 'Math-Tests-RealInterval' with: [spec requires: #('Math-RealInterval')].
		spec package: 'Math-Benchmarks-RealInterval'
			with: [spec requires: #('Math-RealInterval' 'Math-Tests-RealInterval' 'SMark')].

		spec group: 'test' with: #('Math-Tests-RealInterval' 'Math-Benchmarks-RealInterval').
		spec group: 'core' with: #('Math-RealInterval' 'Math-RealInterval-Extensions').
		spec group: 'default' with: #('core' 'test')].
	! !

!ConfigurationOfRealInterval methodsFor: 'accessing' stamp: 'wernerkassens 9/22/2017 09:36'!
customProjectAttributes

^ #().! !

!ConfigurationOfRealInterval methodsFor: 'symbolic versions' stamp: 'WernerKassens 9/14/2017 18:06'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '2.0-baseline'.
! !

!ConfigurationOfRealInterval methodsFor: 'accessing' stamp: 'WernerKassens 1/30/2016 15:02'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRealInterval methodsFor: 'symbolic versions' stamp: 'wernerkassens 9/15/2017 18:50'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.0'.
! !

!ConfigurationOfRealInterval methodsFor: 'versions' stamp: 'wernerkassens 9/23/2017 15:55'!
version20: spec
	<version: '2.0' imports: #('2.0-baseline' )>
	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'setting added'.
		spec author: 'WernerKassens'.
		spec timestamp: '9/15/2017 13:46'.
		spec package: 'Math-Benchmarks-RealInterval'
				with:'Math-Benchmarks-RealInterval-wernerkassens.4'.
		spec package: 'Math-Tests-RealInterval' with:'Math-Tests-RealInterval-wernerkassens.31'.
		spec package: 'Math-RealInterval-Extensions'with:'Math-RealInterval-Extensions-WernerKassens.2'.
		spec package: 'Math-RealInterval'with:'Math-RealInterval-wernerkassens.134']! !
